package com.ruoyi.sy.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.sy.mapper.SyVocationalPostDetailMapper;
import com.ruoyi.sy.domain.SyVocationalPostDetail;
import com.ruoyi.sy.service.ISyVocationalPostDetailService;

/**
 * 就业岗位详情Service业务层处理
 * 
 * @author mingxue
 * @date 2022-03-30
 */
@Service
public class SyVocationalPostDetailServiceImpl implements ISyVocationalPostDetailService 
{
    @Autowired
    private SyVocationalPostDetailMapper syVocationalPostDetailMapper;

    /**
     * 查询就业岗位详情
     * 
     * @param id 就业岗位详情ID
     * @return 就业岗位详情
     */
    @Override
    public SyVocationalPostDetail selectSyVocationalPostDetailById(Long id)
    {
        return syVocationalPostDetailMapper.selectSyVocationalPostDetailById(id);
    }

    @Override
    public SyVocationalPostDetail selectSyVocationalPostDetailByName(String name) {
        name = name.trim();
        return syVocationalPostDetailMapper.selectSyVocationalPostDetailByName(name);
    }

    /**
     * 查询就业岗位详情列表
     * 
     * @param syVocationalPostDetail 就业岗位详情
     * @return 就业岗位详情
     */
    @Override
    public List<SyVocationalPostDetail> selectSyVocationalPostDetailList(SyVocationalPostDetail syVocationalPostDetail)
    {
        return syVocationalPostDetailMapper.selectSyVocationalPostDetailList(syVocationalPostDetail);
    }

    /**
     * 新增就业岗位详情
     * 
     * @param syVocationalPostDetail 就业岗位详情
     * @return 结果
     */
    @Override
    public int insertSyVocationalPostDetail(SyVocationalPostDetail syVocationalPostDetail)
    {
        return syVocationalPostDetailMapper.insertSyVocationalPostDetail(syVocationalPostDetail);
    }

    /**
     * 修改就业岗位详情
     * 
     * @param syVocationalPostDetail 就业岗位详情
     * @return 结果
     */
    @Override
    public int updateSyVocationalPostDetail(SyVocationalPostDetail syVocationalPostDetail)
    {
        return syVocationalPostDetailMapper.updateSyVocationalPostDetail(syVocationalPostDetail);
    }

    /**
     * 批量删除就业岗位详情
     * 
     * @param ids 需要删除的就业岗位详情ID
     * @return 结果
     */
    @Override
    public int deleteSyVocationalPostDetailByIds(Long[] ids)
    {
        return syVocationalPostDetailMapper.deleteSyVocationalPostDetailByIds(ids);
    }

    /**
     * 删除就业岗位详情信息
     * 
     * @param id 就业岗位详情ID
     * @return 结果
     */
    @Override
    public int deleteSyVocationalPostDetailById(Long id)
    {
        return syVocationalPostDetailMapper.deleteSyVocationalPostDetailById(id);
    }
}
